package acquirer_student

import (
	"git.i2edu.net/i2/i2-bill-api/internal/logic/acquirer_student"
	"net/http"

	"git.i2edu.net/i2/go-zero/rest/httpx"
	"git.i2edu.net/i2/i2-bill-api/internal/svc"
)

func AcquirerStudentTotalHandler(ctx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {

		l := acquirer_student.NewAcquirerStudentTotalLogic(r.Context(), ctx)
		resp, err := l.AcquirerStudentTotal(r)
		if err != nil {
			httpx.Error(w, err)
		} else {
			httpx.OkJson(w, resp)
		}
	}
}
